#!/usr/bin/env gnuplot
reset
set xlabel "Frame period [µs]"
set ylabel "Latency [µs] + packet loss"
set style data yerrorlines
# set yrange [0:10000]
set yrange [0:]
#set logscale y
# set key left Left reverse
set grid
loss_scale=10
plot \
     'kernel.dat' using 1:2:($3*loss_scale) title 'kernel', \
     'mmapbusy-mmap.dat' using 1:2:($3*loss_scale) title 'mmapbusy-mmap', \
     'mmapbusy-write.dat' using 1:2:($3*loss_scale) title 'mmapbusy-write', \
     'mmap-mmap.dat' using 1:2:($3*loss_scale) title 'mmap-mmap', \
     'mmap-write.dat' using 1:2:($3*loss_scale) title 'mmap-write', \
     'readbusy-write.dat' using 1:2:($3*loss_scale) title 'readbusy-write', \
     'readnb-write.dat' using 1:2:($3*loss_scale) title 'readnb-write', \
     'read-write.dat' using 1:2:($3*loss_scale) title 'read-write'
